Loading...
Searching...
No Matches
casacore::ArrayPartMath_global_functions_Array_partial_operations::SumSqrFunc< T > Class Template Reference

`#include <ArrayPartMath.h>`

## Public Member Functions

virtual | ~SumSqrFunc ()
virtual T | operator() (const Array< T > &arr) const final override
Public Member Functions inherited from casacore::ArrayFunctorBase< T, RES >
virtual | ~ArrayFunctorBase ()

## Detailed Description

template<typename T>
class casacore::ArrayPartMath_global_functions_Array_partial_operations::SumSqrFunc< T >

Definition at line 194 of file ArrayPartMath.h.

## Constructor & Destructor Documentation

## ~SumSqrFunc()

template<typename T>

virtual casacore::ArrayPartMath_global_functions_Array_partial_operations::SumSqrFunc< T >::~SumSqrFunc | ( |  | ) |

inline virtual

Definition at line 196 of file ArrayPartMath.h.

## Member Function Documentation

## operator()()

template<typename T>

virtual T casacore::ArrayPartMath_global_functions_Array_partial_operations::SumSqrFunc< T >::operator() | ( | const Array< T > & | arr | ) | const

inline final override virtual

Implements casacore::ArrayFunctorBase< T, RES >.

Definition at line 197 of file ArrayPartMath.h.

The documentation for this class was generated from the following file:

- casa/Arrays/ArrayPartMath.h